<?php

/**
* inQuirePHP
*
* LICENSE
*
* This source file is subject to Apache 2.0 LICENSE that is bundled
* with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://www.apache.org/licenses/LICENSE-2.0.html
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to integrate@etilize.com so we can send you a copy immediately.
*
* @copyright  Copyright (c) 2007-2008 Etilize USA Inc. (http://www.etilize.com)
* @license    http://www.apache.org/licenses/LICENSE-2.0.html
*/

/**
 * Utility class that has some usefull methods for use in the project where ever required.
 */
class InQuireWebUtil
{

    public function __construct ()
    {
    }

    /**
     * This function will retrun the type of object pass in paramter.
     *
     * @param type $var
     * @return string
     */
    public static function typeof ($var)
    {
        if (is_object($var))
            return get_class($var);
        if (is_array($var))
            return 'array';
        if (is_numeric($var))
            return 'null';
        return 'string';
    }

    /**
     * THis method check the given string is null or emty then returns true else false.
     *
     * @param string $string
     * @return boolean
     */
    public static function isEmpty ($string)
    {
        if (is_null($string) or strlen(trim($string)) < 1)
            return true;
        return false;
    }
    
    /*
     * This function checks whether the response xml is an Error Response or not.
	*/
    public static function isErrorResponse($response){
    	return $response->getName() == 'ErrorResponse';
    }    
    
}
?>