<?php

/**
* inQuirePHP
*
* LICENSE
*
* This source file is subject to Apache 2.0 LICENSE that is bundled
* with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://www.apache.org/licenses/LICENSE-2.0.html
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to integrate@etilize.com so we can send you a copy immediately.
*
* @copyright  Copyright (c) 2007-2008 Etilize USA Inc. (http://www.etilize.com)
* @license    http://www.apache.org/licenses/LICENSE-2.0.html
*/


/**
 * WSConstant class contains static constants used by WSModel.
 */
class WSConstants
{
    public static $REST = "/service/rest/catalog"; 
    public static $SOAP = "/service/soap";
    public static $SEARCH_REQUEST = "search";
    public static $GET_PRODUCT_DETAIL = "getProductDetail";
    public static $PRODUCT_REQUEST = "product";
    public static $COMPARISON_REQUEST = "comparison";
    public static $CATEGORY_FAMILY = "categoryFamily";
    public static $FEATURED_PRODUCTS = "featuredProducts";
    public static $CATEGORY_DIRECTORY = "getCategoryDirectory";
    public static $MANUFACTURER_DIRECTORY = "getManufacturerDirectory";
    public static $AJAX_REQUEST = "ajax";
    public static $ERROR_RESPONSE = "ErrorResponse";
    public static $REST_GET = 1;
    public static $REST_POST = 2;
    public static $REST_OTHER = 3;
    public static $SIMPLE = 4;
}
?>
