<?php

/**
* inQuirePHP
*
* LICENSE
*
* This source file is subject to Apache 2.0 LICENSE that is bundled
* with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://www.apache.org/licenses/LICENSE-2.0.html
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to integrate@etilize.com so we can send you a copy immediately.
*
* @copyright  Copyright (c) 2007-2008 Etilize USA Inc. (http://www.etilize.com)
* @license    http://www.apache.org/licenses/LICENSE-2.0.html
*/

require_once 'Zend/Log.php';
require_once 'Zend/Log/Writer/Stream.php';

/**
 * Logger class is used to log warings and error messages to files  
 *
 * Different events and error messges will bn
 * 
 * 
 *
 * 
 *
 * @author Zaid Ansari (zaansari@etilizepak.com)
 * @version 1.0
 */
class Logger
{

    public static function info ($message)
    {
        //Name of file to log information
        $filename = 'logs/info.log';
        $log = new Zend_Log(new Zend_Log_Writer_Stream($filename));
        if (is_writable($filename)) {
            $log->info($message);
        }
    }

    public static function error ($message)
    {
        //Name of file to log errors
        $filename = 'logs/error.log';
        $log = new Zend_Log(new Zend_Log_Writer_Stream($filename));
        if (is_writable($filename)) {
            $log->info($message);
        }
    }
}
?>