<?php
/**
 * My new Zend Framework project
 * 
 * @author  
 * @version 
 */

set_include_path('.' . PATH_SEPARATOR . './library' . PATH_SEPARATOR . './application/models/' . PATH_SEPARATOR . get_include_path());
ini_set("memory_limit","512M");

require_once 'Zend/Controller/Front.php';
require_once 'Zend/Controller/Action/HelperBroker.php';
require_once 'Zend/Controller/Action/Helper/ViewRenderer.php';
require_once 'SmartyView.php';
require_once 'SmartyViewLoader.php';
require_once 'Zend/Session.php';

//Create session instance for user on first request
//$sessionNamespace = new Zend_Session_Namespace('inQuirePHP'); // default namespace

/**
 * Setup controller
 */
Zend_Session::start();

$controller = Zend_Controller_Front::getInstance();
$controller->setControllerDirectory('./application/controllers');

//$controller->setBaseUrl('/inQuirePHP');
//$controller->setBaseUrl('/inQuirePHP/index.php');

$controller->throwExceptions(true); // should be turned on (true) in development time

$smartyViewLoader = new SmartyViewLoader();
$smartyViewLoader->load();

$controller->dispatch();
#Zend_Controller_Front::run('../application/controllers');
    
?>
