<?php
require_once 'PHPUnit/Framework/TestCase.php';

/**
 * IndexController test case.
 */
class IndexControllerTest extends PHPUnit_Framework_TestCase {

    function testDefaultAction() {
		$front = Zend_Controller_Front::getInstance();
        $request = new Zend_Controller_Request_Http('http://localhost:8082/inQuirePHP/index.php');
        //$request->setBaseUrl('/inQuirePHP/index.php');        
        $response = new Zend_Controller_Response_Http();
        $front->returnResponse(true)->setRequest($request)->setResponse($response);
        // System shows registration screen by invoking registerAction().
        // This action renders the "register.phtml" View script. 
        $front->dispatch();
        $this->assertContains('inQuirePHP-Home', $response->getBody());
    } 
	
    
	function testIndexAction() {
		$front = Zend_Controller_Front::getInstance();
        $request = new Zend_Controller_Request_Http('http://localhost:8082/inQuirePHP/index.php/index/index');
        //$request->setBaseUrl('/inQuirePHP/index.php');        
        $response = new Zend_Controller_Response_Http();
        $front->returnResponse(true)->setRequest($request)->setResponse($response);
        // System shows registration screen by invoking registerAction().
        // This action renders the "register.phtml" View script. 
        $front->dispatch();
        //print $response->getBody();
        $this->assertContains('inQuirePHP-Home', $response->getBody());
    }  


    
    
}

