<?php

require_once 'Zend/Session.php';

require_once 'PHPUnit/Framework/TestSuite.php';

//require_once '../tests/application/models/AuthenticationModelTest.php';
//require_once '../tests/application/models/ConfigFileManagerModelTest.php';
//require_once '../tests/application/models/InQuireWebServicesUtilTest.php';
//require_once '../tests/application/models/InQuireWebUtilTest.php';
//require_once '../tests/application/models/SpexLiveServiceClientTest.php';
//require_once '../tests/application/models/WSConstantsTest.php';
//require_once '../tests/application/models/WSExceptionTest.php';
//require_once '../tests/application/models/WSFactoryTest.php';
//require_once '../tests/application/models/WSGatewayTest.php';
//require_once '../tests/application/models/WSRequestTest.php';
//require_once '../tests/application/models/WSResponseTest.php';
//Test Cases for Controllers

require_once '../tests/application/controllers/IndexControllerTest.php';
require_once '../tests/application/controllers/AuthControllerTest.php';

/**
 * Static test suite.
 */
class testsSuite extends PHPUnit_Framework_TestSuite {
	
	/**
	 * Constructs the test suite handler.
	 */
	public function __construct() {
		Zend_Session::start();
		$this->setName ( 'testsSuite' );
		//Add Tests for Controllers
		//print "CUrrent Direcory=>".getcwd();
		//print "\nCUrrent include_path=>".get_include_path();
		
		$this->addTestSuite ( 'IndexControllerTest' );			
		$this->addTestSuite ( 'AuthControllerTest' );
						
		//$this->addTestSuite ( 'AuthenticationModelTest' );
		
		//$this->addTestSuite ( 'ConfigFileManagerModelTest' );
		
		//$this->addTestSuite ( 'InQuireWebServicesUtilTest' );
		
		//$this->addTestSuite ( 'InQuireWebUtilTest' );
		
		//$this->addTestSuite ( 'SpexLiveServiceClientTest' );
		
		//$this->addTestSuite ( 'WSConstantsTest' );
		
		//$this->addTestSuite ( 'WSExceptionTest' );
		
		//$this->addTestSuite ( 'WSFactoryTest' );
		
		//$this->addTestSuite ( 'WSGatewayTest' );
		
		//$this->addTestSuite ( 'WSRequestTest' );
		
		//$this->addTestSuite ( 'WSResponseTest' );
	
	}

	/**
	 * Creates the suite.
	 */
	public static function suite() {
		return new self ( );
	}
    protected function setUp()
    {
    	//new Zend_Session_Namespace();
		$router = new Zend_Controller_Router_Rewrite();
    	$front  = Zend_Controller_Front::getInstance();
		$front->setBaseUrl("/inQuirePHP/index.php");
		$front->setControllerDirectory('../../../../Apache2.2.6/htdocs/inQuirePHP/application/controllers');
		$front->setRouter($router);	
		$front->returnResponse(true);
		$front->throwExceptions(true);
		$this->sharedFixture = $front;
    }	

    protected function tearDown(){
    	$this->sharedFixture = NULL;
    }
    
}

